#include <bits/stdc++.h>

using namespace std;
int pc(int n){
    int p=1;
    while(n>0){
        p=p*(n%10);
        n=n/10;
    }
    return p;
}
int main()
{
    int T;
    cin>>T;
    int a[T],b[T];
    bool d=true;
    for(int i=0;i<T;i++){
        cin>>a[T];
    }
    for(int i=0;i<T;i++){
        for(int j=1;j<=a[i];j++){
            for(int m=1;m<j;j++){
                if(pc(m)==pc(j)){
                    d=false;
                }
            }
            if(d==true){
                b[i]=b[i]+1;
            }
        }
    }
    for(int i=0;i<T;i++){
        cout<<b[i]<<endl;
    }
}